Skip to main content
POST
/
organization
/
{organizationId}
/
listDirectoriesFromGitRepository
List directories from a git repository
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/listDirectoriesFromGitRepository \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://github.com/Qovery/simple-node-app",
  "provider": "BITBUCKET",
  "branch": "feat/text_xxx",
  "root_path": "/",
  "git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "results": [
    "infra",
    "terraform",
    ".github"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
url
string
required

application git repository URL

Example:

"https://github.com/Qovery/simple-node-app"

provider
enum<string>
required
Available options:
BITBUCKET,
GITHUB,
GITLAB
branch
string

Name of the branch to use. This is optional If not specified, then the branch used is the main or master one

Example:

"feat/text_xxx"

root_path
string
default:/

indicates the root path of the application.

git_token_id
string<uuid> | null

The git token id on Qovery side

Response

List of directories at the specified path

results
string[]
Example:
["infra", "terraform", ".github"]